Package net.shibboleth.spring.security

# Class CredentialHolder

java.lang.Object
net.shibboleth.spring.security.CredentialHolder

public class CredentialHolder extends Object
This is a utility class used as an auto-wiring source for collections of signing and encryption `Credential` objects so that other layers of the system can gain access to the complete set of them.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Collection<Credential>`
`credentials`
Credentials to expose.

## Constructor Summary

Constructors
Constructor
Description
`CredentialHolder(Collection<Credential> creds)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<Credential>`
`getCredentials()`
Get the credentials to expose to other components.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### credentials

@Nonnull private final Collection<Credential> credentials
Credentials to expose.

## Constructor Details

### CredentialHolder

public CredentialHolder(@Nullable Collection<Credential> creds)
Constructor.

Parameters:
  `creds` - credentials to expose to other components

## Method Details

### getCredentials

@Nonnull @Unmodifiable @NotLive public Collection<Credential> getCredentials()
Get the credentials to expose to other components.

Returns:
  credentials to expose